<script type="text/javascript">	
$(document).ready(function() {
	$("#tabs").tabs({selected:0});
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#t_tglawal").val(data.tanggal);
				$("#t_tglakhir").val(data.tanggal);				
			}
		});
	}
	
	$("#t_bulan").keyup(function(){
		tampil_gaji();
	});

	$("#t_bulan").click(function(){
		tampil_gaji();
	});

	$("#t_tahun").keyup(function(){
		var vtahun = $("#t_tahun").val();
		
		if(vtahun>2100){
			alert('Penulisan tahun tidak terdefinisi.');
			$("#t_tahun").focus();
			return (false);
		}
		if(vtahun<2000){
			if(vtahun>999){
				alert('Penulisan tahun tidak terdefinisi.');
				$("#t_tahun").focus();
				return (false);
			}
		}
		tampil_gaji();
	});
	
	function tampil_gaji(){
		var bulan = $("#t_bulan").val();
		var tahun = $("#t_tahun").val();
				
		$("#tampil_gaji").show();
		$("#tampil_gaji").load('modul/gaji/tampil_data.php?bulan='+bulan+'&tahun='+tahun);
	}
	
	$("#cetak_gaji").click(function(){
		var tahun = $("#t_tahun").val();
		var bulan = $("#t_bulan").val();
		
		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#t_bulan").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#t_tahun").focus();
			return (false);
        }
		window.location.href='modul/laporan/daftar_gaji.php?tahun='+tahun+'&bulan='+bulan;
	});
	
	$("#tutup_gaji").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_dh").click(function(){
		var tgl_awal  = $("#t_tglawal").val();
		var tgl_akhir = $("#t_tglakhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglawal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglakhir").focus();
			return false;
		}
		$("#tampil_hadir").show();
		$("#tampil_hadir").load('modul/lapgaji/tampil_dafhadir.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_dh").click(function(){	
		var tgl_awal	= $("#t_tglawal").val();
		var	tgl_akhir	= $("#t_tglakhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglawal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglakhir").focus();
			return false;
		}
		window.location.href='modul/laporan/daftar_hadir.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir;
	});
	
	$("#tutup_dh").click(function(){
		document.location='?module=home';
	});
	
	$("#bl_pph").keyup(function(){
		tampil_pphb();
	});

	$("#bl_pph").click(function(){
		tampil_pphb();
	});

	$("#th_pph").keyup(function(){
		var vtahun = $("#th_pph").val();
		
		if(vtahun>2100){
			alert('Penulisan tahun tidak terdefinisi.');
			$("#th_pph").focus();
			return (false);
		}
		if(vtahun<2000){
			if(vtahun>999){
				alert('Penulisan tahun tidak terdefinisi.');
				$("#th_pph").focus();
				return (false);
			}
		}
		tampil_pphb();
	});
	
	function tampil_pphb(){
		var bulan = $("#bl_pph").val();
		var tahun = $("#th_pph").val();

		$("#tampil_pphb").show();
		$("#tampil_pphb").load('modul/lapgaji/tampil_pphb.php?bulan='+bulan+'&tahun='+tahun);
	}
	
	$("#cetak_pphb").click(function(){
		var tahun = $("#th_pph").val();
		var bulan = $("#bl_pph").val();
		
		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#bl_pph").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#th_pph").focus();
			return (false);
        }
		window.location.href='modul/laporan/daftar_pphbl.php?tahun='+tahun+'&bulan='+bulan;
	});
	
	$("#tutup_pphb").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_ppht").click(function(){
		var tahun  = $("#th_ppht").val();
		
		if(tahun>2100){
			alert('Penulisan tahun tidak terdefinisi.');
			$("#t_tahun").focus();
			return (false);
		}
		if(tahun<2000){
			if(tahun>999){
				alert('Penulisan tahun tidak terdefinisi.');
				$("#t_tahun").focus();
				return (false);
			}
		}
		$("#tampil_ppht").show();
		$("#tampil_ppht").load('modul/lapgaji/tampil_ppht.php?tahun='+tahun);
	});
	
	$("#cetak_ppht").click(function(){
		var tahun  = $("#th_ppht").val();
		
		if(tahun>2100){
			alert('Penulisan tahun tidak terdefinisi.');
			$("#t_tahun").focus();
			return (false);
		}
		if(tahun<2000){
			if(tahun>999){
				alert('Penulisan tahun tidak terdefinisi.');
				$("#t_tahun").focus();
				return (false);
			}
		}
		window.location.href='modul/laporan/daftar_pphth.php?tahun='+tahun;
	});
	
	$("#tutup_ppht").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>
<?php
include "../../inc/inc.koneksi.php";
$tanggal=date('Y-m-d');
$tahun=substr($tanggal,0,4);

echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#dafgaji'>DAFTAR GAJI</a></li>
	       <li><a href='#dafhadir'>DAFTAR HADIR</a></li>
		   <li><a href='#pphbulan'>PPh 21 BULANAN</a></li>
		   <li><a href='#pphtahun'>PPh 21 TAHUNAN</a></li>
		</ul>";
		
	echo "<div id='dafgaji'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td>Bulan : <select name='t_bulan' id='t_bulan' >
						<option value='' selected>-Pilih-</option>
						<option value='1'> 1 - JANUARI</option>
						<option value='2'> 2 - FEBRUARI</option>
						<option value='3'> 3 - MARET</option>
						<option value='4'> 4 - APRIL</option>
						<option value='5'> 5 - MEI</option>
						<option value='6'> 6 - JUNI</option>
						<option value='7'> 7 - JULI</option>
						<option value='8'> 8 - AGUSTUS</option>
						<option value='9'> 9 - SEPTEMBER</option>
						<option value='10'>10 - OKTOBER</option>
						<option value='11'>11 - NOVEMBER</option>
						<option value='12'>12 - DESEMBER</option>
						<option value='13'>13 - THR</option>
					</select>
					</td>
			
					<td>Tahun : <input type='number' name='t_tahun' id='t_tahun' value='$tahun' size='5'></td>
					<td>
						<button name='cetak_gaji' id='cetak_gaji'>Cetak</button>
						<button name='tutup_gaji' id='tutup_gaji'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>			
			<div id='tampil_gaji' align='center'></div>
		</div>";
	
	echo "<div id='dafhadir'>
			<div id='pencarian_dh'>
				<table width='100%'>
				<tr>
					<td width='18%'>Periode</td>
					<td>:</td>
					<td><input type='date' name='t_tglawal' id='t_tglawal' size='10'></td>
					<td>sampai dengan</td>
					<td><input type='date' name='t_tglakhir' id='t_tglakhir' size='10'></td>
					<td align='right'>
						<button name='cari_dh' id='cari_dh'>Cari</button>
						<button name='cetak_dh' id='cetak_dh'>Cetak</button>
						<button name='tutup_dh' id='tutup_dh'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>
			
			<div id='tampil_hadir' align='center'></div>
		</div>";
	
	echo "<div id='pphbulan'>
			<div id='pencarian_pphb'>
				<table width='100%'>
				<tr>
					<td>Bulan : <select name='bl_pph' id='bl_pph' >
						<option value='' selected>-Pilih-</option>
						<option value='1'> 1 - JANUARI</option>
						<option value='2'> 2 - FEBRUARI</option>
						<option value='3'> 3 - MARET</option>
						<option value='4'> 4 - APRIL</option>
						<option value='5'> 5 - MEI</option>
						<option value='6'> 6 - JUNI</option>
						<option value='7'> 7 - JULI</option>
						<option value='8'> 8 - AGUSTUS</option>
						<option value='9'> 9 - SEPTEMBER</option>
						<option value='10'>10 - OKTOBER</option>
						<option value='11'>11 - NOVEMBER</option>
						<option value='12'>12 - DESEMBER</option>
						<option value='13'>13 - THR</option>
					</select>
					</td>
			
					<td>Tahun : <input type='number' name='th_pph' id='th_pph' value='$tahun' size='5'></td>
					<td>						
						<button name='cetak_pphb' id='cetak_pphb'>Cetak</button>
						<button name='tutup_pphb' id='tutup_pphb'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>
			<div id='tampil_pphb' align='center'></div>
		</div>";
		
	echo "<div id='pphtahun'>
			<div id='pencarian_ppht'>
				<table width='100%'>
				<tr>
					<td>Tahun Penggajian : <input type='number' name='th_ppht' id='th_ppht' value='$tahun' size='5'></td>
					<td>
						<button name='cari_ppht' id='cari_ppht'>Cari</button>
						<button name='cetak_ppht' id='cetak_ppht'>Cetak</button>
						<button name='tutup_ppht' id='tutup_ppht'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>
			<div id='tampil_ppht' align='center'></div>
		</div>";
echo "</div>";
?>
